# /home/src/PHP-JAVA-BRIDGE/PHP5/php-java-bridge/init_cfg.c File Reference

`#include <stdlib.h>`
`#include <time.h>`
`#include "protocol.h"`
`#include "php_java.h"`
`#include "java_bridge.h"`

## Defines

#define | CFG_CLASSPATH ""
#define | CFG_LD_LIBRARY_PATH ""
#define | CFG_JAVA "/opt/jdk1.5/bin/java"
#define | CFG_JAVA_HOME "/opt/jdk1.5"
#define | BRIDGE_VERSION "3.0.0pre1"

## Functions

void | init_cfg (TSRMLS_D)
void | destroy_cfg (int ini_updated)
short | option_set_by_user (short option, int ini_user)
char * | get_servlet_context (TSRMLS_D)
char * | get_sockname (TSRMLS_D)

## Variables

const char *const | bridge_version = BRIDGE_VERSION

## Define Documentation

#define BRIDGE_VERSION "3.0.0pre1"

#define CFG_CLASSPATH ""

#define CFG_JAVA "/opt/jdk1.5/bin/java"

#define CFG_JAVA_HOME "/opt/jdk1.5"

#define CFG_LD_LIBRARY_PATH ""

## Function Documentation

void destroy_cfg | ( | int | ini_updated | ) |

char* get_servlet_context | ( | TSRMLS_D |  | ) |

char* get_sockname | ( | TSRMLS_D |  | ) |

void init_cfg | ( | TSRMLS_D |  | ) |

short option_set_by_user | ( | short | option,
|  | int | ini_user
| ) |

## Variable Documentation

const char* const bridge_version = BRIDGE_VERSION